> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a specific price guard

> Updates a specific price guard record by priceguardId.



## OpenAPI

````yaml offers_v2_combined put /api-offers/price-guard/{priceGuardId}
openapi: 3.0.0
info:
  title: Offers v2
  description: >-
    fabric's Offers APIs let you set up and manage stock keeping unit (SKU)
    prices. Its wide range of coupon and promotion features let you design
    discounts ranging from single-use, customer-specific coupons to site-wide
    promotions applicable for all SKUs.
  version: 2.0.0
  contact:
    email: support@fabric.inc
  license:
    url: https://fabric.inc/api-license
    name: fabric API license
servers:
  - url: https://live.copilot.fabric.inc
    description: Production
security:
  - AuthorizationToken: []
tags:
  - name: Price List
    description: >-
      Price list is a collection of items and their assigned prices. An item can
      exist in multiple price lists. This gives you the ability to assign
      different prices to the same item. Price lists let you set currency and
      duration of the prices. For example, if the price list expires, prices of
      items within the price list will also expire. You can configure the
      pricing API to include your default price. <br />When requesting pricelist
      of items or evaluating promotions, you should mention the price list ID
      that you want to use.
  - name: Pricing
    description: >-
      Pricing endpoints let you create and manage price details for one or many
      items. You can configure the pricing API to include your default price
      list in all requests.
  - name: Price Guard
    description: >-
      Price Guard allows you to create and manage more diversified price-kinds
      for the item, such as manufacturer recommended retail price (MSRP),
      minimum advertised price (MAP), floor price, ceiling price, clearance
      price,  and so on.  Price guard works as a protection mechanism against
      any further creation of prices for the item. These endpoints let you
      create and manage such price-kinds.
  - name: Price Kind
    description: >-
      Unlike price guard, price kind endpoint lets you get the fundamental price
      kinds (for example, base price and sale price) that are created while
      setting up the item information.
  - name: Promotion
    description: >-
      Promotion is a discount on an item, cart or shipping method based on set
      conditions. As promotions can be linked to specific price lists, it is
      important to submit the correct price list ID. Promotion endpoints let you
      create and manage discounts that will be applied to all customers' carts
      that meet the required conditions.
  - name: Coupon
    description: >-
      Coupon endpoints let you create and manage coupon codes that customers can
      enter at checkout to receive a discount.
  - name: Dynamic Pricing Engine
    description: >-
      fabric's Dynamic Pricing Engine APIs evaluate promotions and calculate
      prices instantly for the cart items using real-time price calculation
      method, that incorporates the latest information, to provide personalized
      and competitive prices for specific customers. It supports formula based
      custom SKU dynamic pricing, and shows discount breakdown details for
      separate items having separate promotions. It uses the cache information,
      instead of fetching offer details of items from database, to evaluate
      promotions and calculate prices instantly. It is fast, scalable to
      millions of pricing requests per day, and supports complex promotional
      strategies.
  - name: Global exclusion
    description: >-
      Global exclusions let you exclude SKUs from being discounted by active
      promotions. These endpoints let you manage those sku-lists.
  - name: Redemption
    description: Redemption endpoints let you manage the records of coupon redemptions.
  - name: Segment
    description: >-
      Segment endpoints let you target promotions at specific groups of
      customers by linking the promotion to a segment identifier. A customer
      segment is a group of customers that have been given a unique reference to
      easily identify them. They may be grouped in a number of ways such as
      demographics, locations, device type, and so on. fabric Offers supports
      the assignment of a customer segment to a promotion so that the promotion
      is applied only to a specific group of customers. You must enter your
      customer segment identifiers in the *Settings* of the Copilot application.
  - name: Upload price CSV
    description: This endpoint lets you bulk upload price details using a CSV file.
  - name: Product
    description: >-
      Product endpoint lets you get product and price information based on sku.
      Product information is retrieved from Product Catalog and price details
      are retrieved from Offers service.
  - name: Item
    description: >-
      Item endpoints let you get products and prices information based on
      itemId. Product information of an item is retrieved from Product Catalog
      and price details are retrieved from Offers service.
  - name: Attributes
    description: >-
      Attributes refer to a collection of attributes names and their values.
      Using attributes, you can group entities, such as products or shoppers,
      that share similar characteristics, such as dimension, age group,
      location, device type, and more. For example, the shopper segmentation can
      be used to tailor promotions to a specific customer segment by linking the
      promotion to the segment identifier.
  - name: Exports
    description: >-
      fabric Export endpoints let you export data to CSV files based on the
      provided filters.
externalDocs:
  description: Learn more about Offers
  url: https://developer.fabric.inc/docs/offers-overview
paths:
  /api-offers/price-guard/{priceGuardId}:
    put:
      tags:
        - Price Guard
      summary: Update a specific price guard
      description: Updates a specific price guard record by priceguardId.
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
        - name: priceGuardId
          in: path
          required: true
          description: ID of the price guard to update
          schema:
            type: number
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/newPriceGuardRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/priceGuard'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/priceGuardValidationError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/priceGuardNotFound'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error500'
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  schemas:
    newPriceGuardRequest:
      type: object
      required:
        - itemId
        - priceListId
      properties:
        itemId:
          description: Item ID
          type: integer
          example: 10000000123
        itemSku:
          description: Item SKU
          type: string
          example: DEF-SKU-1
        priceListId:
          description: PriceList ID
          type: integer
          example: 100000
        MSRP:
          description: Manufacturer suggested retail price
          type: number
          example: 299
        MAP:
          description: Minimum advertised price
          type: number
          example: 299
        ceiling:
          type: number
          description: >-
            Maximum price the seller is allowed to charge for the product. Price
            created for the item ID or item SKU under the specified pricelist
            should not exceed the given ceiling price.
          example: 299
        floor:
          type: number
          description: >-
            Lowest price at which the product can be sold. Price created for the
            item ID or item SKU under the specified pricelist should not be
            lower than the given floor price.
          example: 299
    priceGuard:
      type: object
      properties:
        _id:
          description: fabric database ObjectId of the record
          type: string
          example: 614b58924e92f6861ac9d43b
        itemId:
          description: Item ID
          type: integer
          example: 10000000123
        itemSku:
          description: Item SKU
          type: string
          example: DEF-SKU-1
        priceListId:
          description: ID of the pricelist under which the price kinds are created
          type: integer
          example: 100000
        MSRP:
          description: Manufacturer suggested retail price
          type: number
          example: 299
        MAP:
          description: Minimum advertised price
          type: number
          example: 299
        ceiling:
          type: number
          description: >-
            Maximum price the seller is allowed to charge for the product. Price
            created for the item ID or item SKU under the specified pricelist
            should not exceed the given ceiling price.
          example: 299
        floor:
          type: number
          description: >-
            Lowest price at which the product can be sold. Price created for the
            item ID or item SKU under the specified pricelist should not be
            lower than the given floor price.
          example: 299
        deleted:
          description: 'true: price guard is deleted<br /> false: price guard is not deleted'
          type: boolean
          example: false
        createdAt:
          description: Creation date of the record
          type: string
          format: date-time
          example: '2020-12-14T12:15:43.646Z'
        updatedAt:
          description: Last updated date of the record
          type: string
          format: date-time
          example: '2021-12-14T12:15:43.646Z'
    priceGuardValidationError:
      type: object
      properties:
        code:
          description: The error code.
          type: string
          example: REQUEST_VALIDATION
        message:
          description: The error message corresponding to the `code`.
          type: string
          example: MSRP must be greater than 0
    priceGuardNotFound:
      type: object
      properties:
        code:
          description: The error code.
          type: string
          example: PRICE_GUARD_NOT_FOUND
        message:
          description: The error message corresponding to the `code`.
          type: string
          example: No Price Guard record with this Id Found.
    error500:
      type: object
      properties:
        code:
          description: The error code.
          type: string
          example: INTERNAL_SERVER_ERROR
        message:
          description: An error message coressponding to the `code`.
          type: string
          example: Internal server error.
  securitySchemes:
    AuthorizationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````